> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the transaction details of the application.

> Retrieves the transaction details of the application.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /getTransactionLogs
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /getTransactionLogs:
    post:
      tags:
        - getTransactionLogs
      summary: Retrieves the transaction details of the application.
      description: Retrieves the transaction details of the application.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getTransactionLogs_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTransactionLogs_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    getTransactionLogs_input:
      type: object
      required:
        - MessageId
        - Direction
      properties:
        WorkspaceId:
          type: string
          description: The id of the workspace. Required.
        ConnectorId:
          type: string
          description: The id of the connector. Required.
        PortId:
          description: The id of the port.
          type: string
        MessageId:
          description: The message Id.
          type: string
        Direction:
          type: string
          description: The direction of the transaction.
        Type:
          type: string
          description: The type of the log file.
        IncludeContent:
          type: string
          description: Whether to return the content of the log file.
          default: 'False'
    getTransactionLogs_output:
      type: array
      items:
        type: object
        properties:
          TimeCreated:
            type: string
            description: The time the log file was created.
          Type:
            type: string
            description: The type of the log file.
          File:
            type: string
            description: The name of the log file.
          Path:
            type: string
            description: The path of the log file.
          Content:
            type: string
            description: The Base64 encoded content of the log file.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````